<template>
  <j-modal
    :title="'质保期变更'"
    :width="1515"
    :height="600"
    :visible="visible"
    :maskClosable="true"
    :fullscreen="true"
    switchFullscreen
    @ok="handleOk"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel">
    <key-equipment-update-table
    ref="realForm"
    @ok="submitCallback"
    :disabled="disableSubmit"/>
  </j-modal>
</template>
<script>
import KeyEquipmentUpdateTable from './KeyEquipmentUpdateTable.vue'
 
  export default {
    name: 'KeyEquipmentUpdateModel',
    components: {
      KeyEquipmentUpdateTable
    },
    props:{
    },
    data() {
      return {
        title:'',
        width:1500,
        visible: false,
        disableSubmit: false
      }
    },
    methods:{
      add () {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.addBefore();
        })
      },
      edit (record) {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.edit(record);
        })
      },
      close () {
        this.$emit('close');
        this.visible = false;
        this.$refs.realForm.warrantyUpdateTable.dataSource=[];
        
      },
      handleOk () {
        this.$refs.realForm.handleOk();
      },
      submitCallback(){
        this.$emit('ok');
        this.$bus.$emit('loadData')
        this.visible = false;
      },
      handleCancel () {
        this.close()
      }
    }
  }
</script>

<style scoped>
</style>